import vue from 'rollup-plugin-vue'
import replace from '@rollup/plugin-replace'
import buble from '@rollup/plugin-buble'
import resolve from '@rollup/plugin-node-resolve'
import commonjs from '@rollup/plugin-commonjs'
import { terser } from 'rollup-plugin-terser'
import pkg from './package.json'

const options = [
    {
        // ESM build
        input: 'src/rollup-terser/index.js',
        output: {
            file: pkg.module,
            format: 'esm',
            exports: 'named',
            sourcemap: true,
        },
        plugins: [
            replace({
                'process.env.NODE_ENV': JSON.stringify('production'),
            }),
            vue(),
            buble(),
            resolve(),
            commonjs(),
            // terser(),
        ],
    }
]

export default options